You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

765 lines
19 KiB

  1. #!/bin/bash
  2. # If not running interactively, don't do anything
  3. [[ $- != *i* ]] && return
  4. ##########################################
  5. null(){
  6. "$@" >/dev/null 2>&1
  7. }
  8. __try_exec(){
  9. type $1 >/dev/null 2>&1 && "$@"
  10. }
  11. ##########################
  12. # system type
  13. alias ismsys=false
  14. alias iscygwin=false
  15. alias iswindows=false
  16. alias isdarwin=false
  17. alias islinux=false
  18. alias with_coreutils=false # for mac
  19. case `uname` in
  20. (MINGW*) alias ismsys=true ;;
  21. (CYGWIN*) alias iscygwin=true ;;
  22. (Darwin*) alias isdarwin=true ;;
  23. (Linux*) alias islinux=true ;;
  24. esac
  25. null ls --version && alias with_coreutils=true
  26. ( ismsys || iscygwin ) && alias iswindows=true
  27. #################################
  28. if false iswindows
  29. then
  30. export PAGER='tr -d \\r | less'
  31. else
  32. export PAGER="less"
  33. fi
  34. export LESS="-iRMX"
  35. if null type vim
  36. then
  37. export EDITOR=vim
  38. else
  39. export EDITOR=vi
  40. fi
  41. export LANG=ja_JP.UTF-8
  42. export LC_MESSAGES=C
  43. # export CDPATH=".:~"
  44. export VISUAL="$EDITOR"
  45. export GIT_PAGER="less -F"
  46. export GIT_EDITOR="$EDITOR"
  47. if test -n "$TMUX" && \
  48. echo $TERM | grep screen >/dev/null 2>&1 && \
  49. tmux display -p '#{client_termname}' | grep 256color >/dev/null 2>&1
  50. then
  51. TERM=screen-256color
  52. fi
  53. test -z "$TMP" && export TMP=/tmp/${USER}-tmp
  54. mkdir -p "$TMP"
  55. ! iswindows && null type stty && {
  56. stty stop undef # unbind C-s to stop displaying output
  57. # stty erase '^h'
  58. }
  59. if iswindows; then
  60. # export PS1=" \[\e[32m\]\u@\H \[\e[33m\]\w\[\e[0m\] \d \t\n\s \# \j \$ "
  61. # export PS1=" [\[\e[33m\]\w\[\e[0m\]]\n\[\e[32m\]\u@\H\[\e[0m\] \d \t \s.\v\nhist:\# jobs:\j \$ "
  62. export USER=$USERNAME
  63. fi
  64. _tmux_prefs(){
  65. null type tmux || return 1
  66. tmux set -g mode-keys vi
  67. }
  68. #######################
  69. iswindows && alias tty="echo cmd.exe"
  70. type fortune >/dev/null 2>&1 && {
  71. fortune
  72. echo
  73. fortune -o
  74. echo
  75. }
  76. uname -a
  77. echo TERM $TERM $(tput colors) colors connected to $(tty), \
  78. running $BASH $BASH_VERSION
  79. if test -n "$TMUX"
  80. then
  81. tmux display -p 'Using tmux #S:#I:#W.#P, client is #{client_termname}' \
  82. 2>/dev/null
  83. echo
  84. fi
  85. ###################################
  86. # some aliases and functions
  87. ( ! with_coreutils && isdarwin ) || test "$TERM" == dumb || \
  88. _coloroption=" --color=auto"
  89. ( ! with_coreutils && isdarwin ) || iswindows || \
  90. _timeoption=" --time-style=long-iso"
  91. ( ! with_coreutils && isdarwin ) || _hideoption=" --hide=[A-Z]*" # do not use
  92. _timeformat_iso="%Y-%m-%dT%H:%M:%S%z"
  93. _timeformat_rfc2822="%a, %d %b %Y %T %z"
  94. alias ls="ls -hCF${_coloroption}${_timeoption}"
  95. # export GREP_OPTIONS=""
  96. alias gr="grep -n --color=always"
  97. iswindows && alias grep="grep -n"
  98. # alias ll="ls -l"
  99. # alias la="ls -A"
  100. # alias lla="ls -Al"
  101. alias less="less -F"
  102. alias em="emacs -nw"
  103. null type vim && alias vi=vim
  104. alias pstree="LANG=C pstree"
  105. alias cp="cp -v"
  106. alias mv="mv -v"
  107. alias rm="rm -v"
  108. alias psaux="ps auxww"
  109. alias q=exit
  110. alias e3=e3em
  111. #alias dirs="dirs -v -l | \grep -v \$(printf '%s$' \$PWD)"
  112. alias po=popd
  113. alias pu=pushd
  114. alias sudo="sudo " # use aliases through sudo
  115. alias sudoe="sudoedit"
  116. alias halt="sudo halt"
  117. alias reboot="sudo reboot"
  118. alias suspend="dbus-send --system --print-reply --dest=org.freedesktop.UPower \
  119. /org/freedesktop/UPower org.freedesktop.UPower.Suspend"
  120. alias hibernate="dbus-send --system --print-reply --dest=org.freedesktop.UPower \
  121. /org/freedesktop/UPower org.freedesktop.UPower.Hibernate"
  122. alias rand="echo \$RANDOM"
  123. alias xunp="file-roller -h"
  124. alias pc="sudo \paco -D"
  125. alias pycalc="python -i -c 'from math import *' "
  126. alias py3=python3
  127. alias py2=python2
  128. alias _reloadrc="test -f ~/.bashrc && source ~/.bashrc"
  129. # alias mytime="date +%Y%m%d-%H%M%S"
  130. alias sh="ENV=$HOME/.shrc PS1=\$\ PROMPT_COMMAND="" sh"
  131. # type trash >/dev/null 2>&1 && alias rm=trash
  132. alias mpg123="mpg123 -C -v --title"
  133. alias xm="xmms2"
  134. #export PLAYER="mpg123 -C -v --title"
  135. null type screen && alias screen="screen -e^z^z"
  136. alias zcd="cd \`zenity --file-selection --directory\`"
  137. null type gtags && alias gtags="gtags --verbose"
  138. null type htags && alias htags="htags --xhtml --symbol --line-number \
  139. --frame --alphabet --verbose"
  140. null type aunpack && alias aunp=aunpack
  141. alias pad=notepad
  142. null type gedit && alias pad=gedit
  143. null type leafpad && alias pad=leafpad
  144. isdarwin && alias pad="open -e"
  145. alias wic=wicd-curses
  146. alias wil="wicd-cli -y -l | head"
  147. #alias wicn="wicd-cli -y -c -n"
  148. wicn(){
  149. if test $# -eq 0
  150. then
  151. local num
  152. wicd-cli -y -l | head
  153. echo -n "input num: "
  154. read num
  155. test -n "$num" && wicd-cli -y -c -n $num
  156. else
  157. wicd-cli -y -c -n $1
  158. fi
  159. }
  160. alias aptin="apt-get install"
  161. alias aptsearch="apt-cache search"
  162. alias aptshow="apt-cache show"
  163. for f in /usr/share/vim/vimcurrent/macros/less.sh \
  164. /usr/share/vim/vim73/macros/less.sh \
  165. /usr/share/vim/vim72/macros/less.sh
  166. do
  167. test -f $f && alias vl=$f && break
  168. done
  169. alias yt=yaourt
  170. null type pacman-color && {
  171. alias pacman=pacman-color
  172. export pacman_program=pacman-color # used by pacmatic
  173. export PACMAN=pacman-color # used by yaourt
  174. }
  175. null type pacmatic && {
  176. alias pacman="pacmatic"
  177. export PACMAN="pacmatic"
  178. }
  179. null type apt-get && \
  180. alias aupgrade="sudo apt-get autoremove --yes && \
  181. sudo apt-get update --yes && sudo apt-get upgrade --yes"
  182. null type port && \
  183. alias port="port -v"
  184. alias pupgrade="sudo port -v selfupdate && \
  185. { sudo port -v upgrade outdated; }"
  186. if iscygwin; then
  187. null type windate || \
  188. alias windate="/c/Windows/System32/cmd.exe //c 'echo %DATE%-%TIME%'"
  189. alias cygsu="cygstart /cygwinsetup.exe"
  190. alias emacs="CYGWIN=tty emacs -nw"
  191. alias ls="ls -CFG $(iswindows || test "$TERM" = dumb || echo --color=auto)"
  192. fi
  193. alias g=git
  194. if null type _git
  195. then
  196. # enable programmable completion for g
  197. complete -o bashdefault -o default -o nospace -F _git g 2>/dev/null \
  198. || complete -o default -o nospace -F _git g
  199. fi
  200. alias setup.py="sudo python3 setup.py install --record files.txt"
  201. man() {
  202. env \
  203. LESS_TERMCAP_mb=$(printf "\e[1;35m") \
  204. LESS_TERMCAP_md=$(printf "\e[1;31m") \
  205. LESS_TERMCAP_me=$(printf "\e[0m") \
  206. LESS_TERMCAP_se=$(printf "\e[0m") \
  207. LESS_TERMCAP_so=$(printf "\e[1;44;33m") \
  208. LESS_TERMCAP_ue=$(printf "\e[0m") \
  209. LESS_TERMCAP_us=$(printf "\e[1;32m") \
  210. man "$@"
  211. }
  212. scr(){
  213. _tformat="%Y%m%d-%H%M%S%z"
  214. _file=`date +${_tformat}`.script
  215. SCRIPT=${_file} script ${_file} "$@"
  216. }
  217. netwait(){
  218. while ! ping -c 1 -t 1 example.com
  219. do
  220. true
  221. done
  222. echo network works.
  223. }
  224. cd(){
  225. if test $# -eq 0
  226. then
  227. pushd ~/ >/dev/null
  228. elif test $1 = -
  229. then
  230. local pwd="$PWD"
  231. command cd $OLDPWD
  232. pushd -n "$pwd" >/dev/null # stack last dir
  233. elif ! test -d "$1"
  234. then
  235. echo `basename ${SHELL}`: cd: "$1": No such file or directory 1>&2
  236. return 1
  237. else
  238. pushd "$1" >/dev/null
  239. fi
  240. __dirs_rm_dup "$PWD"
  241. echo "$PWD"
  242. }
  243. __dirs_rm_dup(){
  244. for d in "$@"
  245. do
  246. local next="$(__realpath --strip "$d")"
  247. for l in $(\dirs -v -l | cut -d $'\n' -f 2- | \
  248. \grep -x " *[0-9]\+ \+${next}" | \grep -o "^ *[0-9]\+ " | tac)
  249. do
  250. popd +$l -n >/dev/null
  251. done
  252. done
  253. }
  254. __realpath(){
  255. if type realpath >/dev/null 2>&1
  256. then
  257. command realpath "$@"
  258. else
  259. while ! test -d $1
  260. do
  261. shift
  262. done
  263. local d="$OLDPWD"
  264. command cd "$1"
  265. echo "$PWD"
  266. command cd "$d"
  267. fi
  268. }
  269. dh(){
  270. if test $# -eq 0
  271. then
  272. dirs -v -l
  273. else
  274. local dir="$(dirs -v -l | \grep "^ *$1 \+" | sed "s/^ *[0-9]* *//g")"
  275. cd "$dir"
  276. fi
  277. }
  278. input(){
  279. local foo
  280. stty -echo
  281. read foo
  282. stty echo
  283. echo $foo
  284. }
  285. tmux(){
  286. if test $# -eq 0
  287. then
  288. (cd ~; command tmux start;)
  289. if command tmux has -t main
  290. then
  291. command tmux attach -t main
  292. else
  293. (cd ~; command tmux new -s main;)
  294. fi
  295. else
  296. command tmux "$@"
  297. fi
  298. }
  299. mcrypt-stream(){
  300. test $# -eq 2 || return 1
  301. case $1 in
  302. en)
  303. mcrypt --key $2 | base64 ;;
  304. de)
  305. base64 -d | mcrypt -d --key $2 ;;
  306. esac
  307. }
  308. gpg-stream(){
  309. test $# -eq 2 || return 1
  310. case $1 in
  311. en)
  312. gpg --passphrase $2 -c --batch |base64 ;;
  313. de)
  314. base64 -d|gpg --passphrase $2 -d --batch ;;
  315. esac
  316. }
  317. dgpg(){
  318. if test "$1" = help || test -z "$2"
  319. then
  320. echo "dgpg: dgpg <en|de> <src-suffix> [<dst-suffix>]" 1>&2
  321. return
  322. fi
  323. local srcs="$2"
  324. local dsts="$3"
  325. test -z "$dsts" && dsts="${srcs}.out"
  326. local pw
  327. echo -n "dgpg pw: "
  328. read -s pw
  329. echo ""
  330. test -z "$pw" && return 1
  331. for f in *${srcs}
  332. do
  333. local d="$(basename "$f" "${srcs}")${dsts}"
  334. echo -n "Processing $f to $d..."
  335. if test -d "$f"
  336. then
  337. echo "`printf 'failed (%s is directory)' $f`"
  338. elif test -f "$d"
  339. then
  340. echo "`printf 'failed (%s is already exists)' $d`"
  341. elif <"$f" gpg-stream $1 $pw >"$d" 2>/dev/null
  342. then
  343. echo "done"
  344. else
  345. echo "failed"
  346. test -f "$d" && rm "$d"
  347. fi
  348. done
  349. }
  350. alias enst="gpg-stream en"
  351. alias dest="gpg-stream de"
  352. showinfo(){
  353. echo "Japanese letters are 表示可能"
  354. __try_exec diskinfo
  355. ! isdarwin && test -n "${DISPLAY}" && {
  356. __try_exec xrandr | \grep --color=never ^Screen
  357. }
  358. iswindows || __try_exec finger $USER
  359. LANG=C __try_exec id
  360. __try_exec xset q
  361. }
  362. x(){
  363. if [[ -z $DISPLAY ]] && ! [[ -e /tmp/.X11-unix/X0 ]] && (( EUID )); then
  364. #mkdir -p ~/.my/log
  365. # nohup startx >~/.my/log/xorg.log 2>&1 &
  366. # exit
  367. exec startx
  368. else
  369. echo "X cant be started! Another X is already running?" 1>&2
  370. fi
  371. }
  372. bak(){
  373. for file in "$@"
  374. do
  375. cp -v ${file} ${file}.bak
  376. done
  377. }
  378. di(){
  379. if type colordiff >/dev/null 2>&1 && test $TERM != dumb
  380. then
  381. local diffcmd=colordiff
  382. else
  383. local diffcmd=diff
  384. fi
  385. ${diffcmd} -u "$@" | ${PAGER}
  386. }
  387. tb(){
  388. local tb="$HOME/.my/tb"
  389. mkdir -p "$tb"
  390. for file in "$@"
  391. do
  392. mv -t "$tb" "$file"
  393. done
  394. }
  395. mkcd(){
  396. mkdir -p $1
  397. cd $1
  398. }
  399. if test -n "$TMUX" && null type reattach-to-user-namespace
  400. then
  401. alias pbpaste="reattach-to-user-namespace pbpaste"
  402. alias pbcopy="reattach-to-user-namespace pbcopy"
  403. fi
  404. catclip(){
  405. if iswindows
  406. then
  407. cat /dev/clipboard | tr -d \\r
  408. elif isdarwin
  409. then
  410. pbpaste
  411. else
  412. xclip -o -selection "clipboard"
  413. fi
  414. }
  415. setclip(){
  416. if test $# -eq 0
  417. then
  418. exec 3<&0
  419. else
  420. exec 3<<__EOF__
  421. `cat "$@"`
  422. __EOF__
  423. fi
  424. if iswindows
  425. then
  426. 0<&3 sed -e 's/$/\r/' | tee /dev/clipboard
  427. elif isdarwin
  428. then
  429. pbcopy 0<&3
  430. else
  431. 0<&3 xclip -i -f -selection "primary" | \
  432. xclip -i -f -selection "clipboard"
  433. fi
  434. exec 3<&-
  435. }
  436. open_file(){
  437. if iswindows
  438. then
  439. cmd.exe //c start "" "$@"
  440. elif isdarwin
  441. then
  442. touch "$@"
  443. open "$@"
  444. elif islinux
  445. then
  446. touch "$@"
  447. if null type pcmanfm; then
  448. LC_MESSAGES= pcmanfm "$@"
  449. else
  450. LC_MESSAGES= xdg-open "$@" &
  451. fi
  452. else
  453. cat "$@"
  454. fi
  455. }
  456. o(){
  457. if test $# -eq 0
  458. then
  459. open_file .
  460. else
  461. for f in "$@"
  462. do
  463. open_file "$(realpath "$f")"
  464. done
  465. fi
  466. }
  467. convmv-sjis2utf8-test(){
  468. convmv -r -f sjis -t utf8 *
  469. }
  470. convmv-sjis2utf8-notest(){
  471. convmv -r -f sjis -t utf8 * --notest
  472. }
  473. #Change ANSI Colors
  474. _chengecolors(){
  475. echo -e \
  476. "\e]P0000000" \
  477. "\e]P1cd0000" \
  478. "\e]P200cd00" \
  479. "\e]P3cdcd00" \
  480. "\e]P41e90ff" \
  481. "\e]P5cd00cd" \
  482. "\e]P600cdcd" \
  483. "\e]P7353535" \
  484. "\e]P8666666" \
  485. "\e]P9ff9999" \
  486. "\e]Pa99ff99" \
  487. "\e]Pbffff99" \
  488. "\e]Pc9999ff" \
  489. "\e]Pdff99ff" \
  490. "\e]Pe99ffff" \
  491. "\e]Pfffffff"
  492. }
  493. # printf "\e]P7353535" \
  494. _colors(){
  495. echo -e \
  496. "\e[30mBlack" \
  497. "\e[31mRed" \
  498. "\e[32mGreen" \
  499. "\e[33mYellow" \
  500. "\e[34mBlue" \
  501. "\e[35mMagenta" \
  502. "\e[36mCyan" \
  503. "\e[37mWhite"
  504. echo -e \
  505. "\e[30;1mBright Black" \
  506. "\e[31;1mBright Red" \
  507. "\e[32;1mBright Green" \
  508. "\e[33;1mBright Yellow" \
  509. "\e[34;1mBright Blue" \
  510. "\e[35;1mBright Magenta" \
  511. "\e[36;1mBright Cyan" \
  512. "\e[37;1mBright White\n" \
  513. "\e[0m"
  514. }
  515. winln(){
  516. # for windose make link (actually junction)
  517. if test $# -eq 0
  518. then
  519. {
  520. echo "usage: winln TARGET LINK_NAME"
  521. echo "Create a link to TARGET with the name LINK_NAME \
  522. (that is, TARGET must already exist)."
  523. echo "About other features run 'junction'."
  524. } 1>&2
  525. return 1
  526. else
  527. junction "$2" "$1"
  528. fi
  529. }
  530. __my_moc_state(){
  531. type mocp >/dev/null 2>&1 || return
  532. test "`mocp -Q %state 2>/dev/null`" == PLAY || return
  533. printf "$1" "`mocp -Q %title 2>/dev/null`"
  534. }
  535. __my_parse_svn_branch() {
  536. local LANG=C
  537. local svn_url=$(svn info 2>/dev/null | sed -ne 's#^URL: ##p')
  538. local svn_repository_root=$(svn info 2>/dev/null | \
  539. sed -ne 's#^Repository Root: ##p')
  540. echo ${svn_url} | sed -e 's#^'"${svn_repository_root}"'##g' | \
  541. awk '{print $1}'
  542. }
  543. __my_svn_ps1(){
  544. if svn status >/dev/null 2>&1
  545. then
  546. local svn_branch=$(__my_parse_svn_branch)
  547. test -n "${svn_branch}" && printf "$1" "{$svn_branch}"
  548. fi
  549. }
  550. __my_battery_status(){
  551. local dir=/sys/class/power_supply/BAT0
  552. if test -d $dir && test -r $dir/status && test -r $dir/charge_full && \
  553. test -r $dir/charge_now
  554. then
  555. local st=$(cat $dir/status)
  556. local full=$(cat $dir/charge_full)
  557. local now=$(cat $dir/charge_now)
  558. local rate=$(expr $now \* 100 / $full)
  559. printf "$1" "${st}:${rate}%"
  560. fi
  561. }
  562. alias bat='__my_battery_status %s\\n'
  563. ip-address(){
  564. type ip >/dev/null 2>&1 || return 1
  565. local ip=$(LANG=C ip addr show scope global | \
  566. \grep --color=never --only-matching 'inet [^ ]*' | cut -d " " -f 2)
  567. test -n "$ip" && printf $1 $ip
  568. }
  569. __my_ps1_script(){
  570. local last=$?
  571. test -n "$SCRIPT" && echo "${__my_c5}SCR${__my_cdef} "
  572. return $last
  573. }
  574. __my_ps1_scale(){
  575. local last=$?
  576. echo "[LC:${LINES}x${COLUMNS}]"
  577. return $last
  578. }
  579. __my_ps1_tmux(){
  580. local last=$?
  581. null type tmux || return $last
  582. local tmuxc="$(tmux display -p '#S:#I:#W.#P' 2>/dev/null)"
  583. test -n "$TMUX" && echo "[TMUX:$tmuxc]"
  584. return $last
  585. }
  586. __my_ps1_moc(){
  587. local last=$?
  588. __my_moc_state "[MOC:%s]"
  589. return $last
  590. }
  591. for f in /usr/share/git/git-prompt.sh \
  592. /opt/local/share/doc/git-core/contrib/completion/git-prompt.sh
  593. do
  594. test -r $f && . $f && break
  595. done
  596. GIT_PS1_SHOWDIRTYSTATE=t
  597. GIT_PS1_SHOWUPSTREAM=t
  598. __my_ps1_git(){
  599. local last=$?
  600. null type __git_ps1 || return $last
  601. null __gitdir || return $last
  602. __git_ps1 "[GIT:$(__try_exec git config --get user.name):%s]"
  603. return $last
  604. }
  605. __my_ps1_ipaddr(){
  606. local last=$?
  607. ! iswindows && ip-address [Addr:%s]
  608. return $last
  609. }
  610. __my_ps1_bttry(){
  611. local last=$?
  612. local bst="${TMP}/batterystatus"
  613. if test -z "$DISPLAY" && ! iswindows
  614. then
  615. test -f $bst && local bstr="$(cat $bst)"
  616. test -n "$bstr" && echo "[Battery:$bstr]"
  617. __my_battery_status %s >$bst &
  618. fi
  619. return $last
  620. }
  621. __my_ps1_dirs(){
  622. dirs | wc -l
  623. }
  624. __my_ps1_jobs(){
  625. jobs | wc -l
  626. }
  627. if test "$TERM" != dumb
  628. then
  629. __my_c1="\[\e[1;31m\]" # color for PWD
  630. __my_c2="\[\e[0;36m\]" # color for user
  631. __my_c3="\[\e[1;30m\]" # color for OLDPWD
  632. if test "`hostname`" = arch-aspireone; then __my_c4="\[\e[1;34m\]"
  633. elif test "`hostname`" = darwin-mba.local; then __my_c4="\[\e[1;33m\]"
  634. elif test "`hostname`" = newkiwi; then __my_c4="\[\e[1;35m\]"
  635. else __my_c4="\[\e[1;32m\]" # color for ::
  636. fi
  637. __my_c5="\[\e[30;47m\]" # color for SCR
  638. __my_cdef="\[\e[0m\]"
  639. fi
  640. _PS1="\
  641. ${__my_c4}:: ${__my_cdef}[${__my_c2}\u@\H${__my_cdef}:${__my_c1}\w/${__my_cdef}]\$(__my_ps1_scale)\$(__my_ps1_git)\$(__my_ps1_bttry)\$(__my_ps1_ipaddr)\$(__my_ps1_moc)\n\
  642. ${__my_c4}:: ${__my_cdef}l${SHLVL}n\#j\js\$? \D{%T} $(__my_ps1_script)\$ "
  643. PS1=$_PS1
  644. __my_set_title(){
  645. title="$(echo $@)"
  646. case $TERM in
  647. (rxvt*|xterm*|aterm|screen*)
  648. test -t 1 &&
  649. test -n "$DISPLAY" &&
  650. test -z "$EMACS" &&
  651. echo -n -e "\033]0;${title}\007"
  652. ;;
  653. esac
  654. }
  655. PROMPT_COMMAND="__my_set_title \${USER}@\${HOSTNAME}\ \${PWD}"
  656. # copied from https://wiki.archlinux.org/index.php/X_resources
  657. invader(){
  658. # ANSI color scheme script featuring Space Invaders
  659. #
  660. # Original: http://crunchbanglinux.org/forums/post/126921/#p126921
  661. # Modified by lolilolicon
  662. #
  663. f=3 b=4
  664. for j in f b; do
  665. for i in {0..7}; do
  666. printf -v $j$i %b "\e[${!j}${i}m"
  667. done
  668. done
  669. bld=$'\e[1m'
  670. rst=$'\e[0m'
  671. cat << EOF
  672. $f1 ▀▄ ▄▀ $f2 ▄▄▄████▄▄▄ $f3 ▄██▄ $f4 ▀▄ ▄▀ $f5 ▄▄▄████▄▄▄ $f6 ▄██▄ $rst
  673. $f1 ▄█▀███▀█▄ $f2███▀▀██▀▀███ $f3▄█▀██▀█▄ $f4 ▄█▀███▀█▄ $f5███▀▀██▀▀███ $f6▄█▀██▀█▄$rst
  674. $f1█▀███████▀█ $f2▀▀███▀▀███▀▀ $f3▀█▀██▀█▀ $f4█▀███████▀█ $f5▀▀███▀▀███▀▀ $f6▀█▀██▀█▀$rst
  675. $f1▀ ▀▄▄ ▄▄▀ ▀ $f2 ▀█▄ ▀▀ ▄█▀ $f3▀▄ ▄▀ $f4▀ ▀▄▄ ▄▄▀ ▀ $f5 ▀█▄ ▀▀ ▄█▀ $f6▀▄ ▄▀$rst
  676. $bld$f1▄ ▀▄ ▄▀ ▄ $f2 ▄▄▄████▄▄▄ $f3 ▄██▄ $f4▄ ▀▄ ▄▀ ▄ $f5 ▄▄▄████▄▄▄ $f6 ▄██▄ $rst
  677. $bld$f1█▄█▀███▀█▄█ $f2███▀▀██▀▀███ $f3▄█▀██▀█▄ $f4█▄█▀███▀█▄█ $f5███▀▀██▀▀███ $f6▄█▀██▀█▄$rst
  678. $bld$f1▀█████████▀ $f2▀▀▀██▀▀██▀▀▀ $f3▀▀█▀▀█▀▀ $f4▀█████████▀ $f5▀▀▀██▀▀██▀▀▀ $f6▀▀█▀▀█▀▀$rst
  679. $bld$f1 ▄▀ ▀▄ $f2▄▄▀▀ ▀▀ ▀▀▄▄ $f3▄▀▄▀▀▄▀▄ $f4 ▄▀ ▀▄ $f5▄▄▀▀ ▀▀ ▀▀▄▄ $f6▄▀▄▀▀▄▀▄$rst
  680. $f7▌$rst
  681. $f7▌$rst
  682. $f7 ▄█▄ $rst
  683. $f7▄█████████▄$rst
  684. $f7▀▀▀▀▀▀▀▀▀▀▀$rst
  685. EOF
  686. }
  687. #/etc/lsb-release